DRM_UNIVERSAL_PLANE_(9)

NAME
drm_universal_plane_init - Initialize a new universal plane object

SYNOPSIS

int drm_universal_plane_init(struct drm_device * dev, struct drm_plane * plane, unsigned long possible_crtcs, const struct drm_plane_funcs * funcs, const uint32_t * formats, uint32_t format_count, enum drm_plane_type type);

ARGUMENTS

dev
    DRM device

plane
    plane object to init

possible_crtcs
    bitmask of possible CRTCs

funcs
    callbacks for the new plane

formats
    array of supported formats (DRM_FORMAT_*)

format_count
    number of elements in formats

type
    type of plane (overlay, primary, cursor)

DESCRIPTION

Initializes a plane object of type type.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT